## CORBA Interface IStoredProcessService

A service to execute SAS language programs that are stored on a server.

### Definition

CORBA Module SAS

### IStoredProcessService Description

This component is a service for executing stored processes. A stored process is a SAS program that is stored on a server and can be executed as required by requesting applications. This service enables you to execute stored processes by name and, optionally, receive the results as a ResultPackage.

CORBA Definitions
attribute Parent | The LanguageService.
attribute Repository | Designates the repository for stored processes in this SAS workspace.
attribute ResultPackageArchivePath | LDAP URL naming the server file system directory where result package archives are stored.
method Execute | Execute a stored process.
method ExecuteWithResults | Execute a stored process that returns results.
method Define | Define a stored process to the designated repository (not currently implemented).
method RetrieveDefinition | Retrieve a stored process from the designated repository (not currently implemented).
method DeleteDefinition | Delete a stored process from the designated repository (not currently implemented).

Java Classes
IStoredProcessServiceHelper | Used to manipulate the IStoredProcessService type
IStoredProcessServiceHolder | Used to process the IStoredProcessService type as an out parameter

Java Interfaces
IStoredProcessService | A service to execute SAS language programs that are stored on a server.

### IStoredProcessService_1_1 Description

CORBA Definitions
attribute Parent | The LanguageService.
attribute Repository | Designates the repository for stored processes in this SAS workspace.
attribute ResultPackageArchivePath | LDAP URL naming the server file system directory where result package archives are stored.
method Execute | Execute a stored process.
method ExecuteWithResults | Execute a stored process that returns results.
method Define | Define a stored process to the designated repository (not currently implemented).
method RetrieveDefinition | Retrieve a stored process from the designated repository (not currently implemented).
method DeleteDefinition | Delete a stored process from the designated repository (not currently implemented).
method ExecuteNameValue |
method ExecuteNameValueWithResults |

Java Classes
IStoredProcessService_1_1Helper | Used to manipulate the IStoredProcessService_1_1 type
IStoredProcessService_1_1Holder | Used to process the IStoredProcessService_1_1 type as an out parameter

Java Interfaces
IStoredProcessService_1_1 | A service to execute SAS language programs that are stored on a server.

Java Interface IStoredProcessService

A service to execute SAS language programs that are stored on a server.

Package com.sas.iom.SAS

IStoredProcessService Description
This component is a service for executing stored processes. A stored process is a SAS program that is stored on a server and can be executed as required by requesting applications. This service enables you to execute stored processes by name and, optionally, receive the results as a ResultPackage.

`public interface IStoredProcessService
extends org.omg.CORBA.Object`

Method Summary

void | Execute ( java.lang.String name , java.lang.String nameValuePairs ) throws ( GenericError ); Execute a stored process.
void | ExecuteWithResults ( java.lang.String name , java.lang.String nameValuePairs , IResultPackageHolder resultPackage ) throws ( GenericError ); Execute a stored process that returns results.
void | Define ( java.lang.String name , java.lang.String nameValuePairs , java.lang.String[] sourceLines ) throws ( GenericError ); Define a stored process to the designated repository (not currently implemented).
void | RetrieveDefinition ( java.lang.String name , org.omg.CORBA.StringHolder nameValuePairs , StringSeqHolder sourceLines ) throws ( GenericError ); Retrieve a stored process from the designated repository (not currently implemented).
void | DeleteDefinition ( java.lang.String name ) throws ( GenericError ); Delete a stored process from the designated repository (not currently implemented).

Java Class IStoredProcessServiceHelper

public class IStoredProcessServiceHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStoredProcessService type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessServiceHelper

Java Class IStoredProcessServiceHolder

public class IStoredProcessServiceHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IStoredProcessService type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessServiceHolder

CORBA Attribute Parent (readonly)

The LanguageService.

Description
This LanguageService containing this component.

Usage

Java Method Parent

    public ILanguageService Parent ();

CORBA Attribute Repository

Designates the repository for stored processes in this SAS workspace.

Description
This attribute specifies the repository which is searched when a stored process is executed.

Usage
This attribute specifies the repository to be used by the other methods in this service. The repository name must be formed with a location prefix. A prefix of "FILE:" designates that the repository is implemented as a directory in the server's file system. The remainder of the string is the directory pathname.

Additional prefixes might become available in a future release. For example, the "LDAP:" prefix could indicate that the repository location should be resolved through a directory lookup operation for the distinguished name indicated by the supplied LDAP URL.

Java Method Repository

    public java.lang.String Repository ();
    public void Repository ( java.lang.String Repository );

CORBA Attribute ResultPackageArchivePath

LDAP URL naming the server file system directory where result package archives are stored.

Description
This attribute specifies the LDAP URL for the sasArchivePaths directory entry. This LDAP directory entry names a file system directory at which to store the result package archives that are created from stored processes executed by this service.

Usage

Java Method ResultPackageArchivePath

    public java.lang.String ResultPackageArchivePath ();
    public void ResultPackageArchivePath ( java.lang.String ResultPackageArchivePath );

CORBA Method Execute

Execute a stored process.

Description
This method executes a stored process. The stored process definition is found in the location identified by the Repository attribute. The "name" parameter indicates the particular stored process definition within this repository. The provided "nameValuePairs" parameter to this operation supplies the name-value pairs used in the stored process execution.

Usage

Java Method Execute

`void` Execute (

        java.lang.String name ,
        java.lang.String nameValuePairs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String | The stored process name within the Repository.
nameValuePairs | in | java.lang.String | A single string containing one or more name-value pairs used in the stored process execution. The pairs are specified as "name=value" and are blank separated. The length of each pair may not exceed 2048 characters.

Example

CORBA Method ExecuteWithResults

Execute a stored process that returns results.

Description
Execute the stored process defined with the provided name using the provided name/value parameters and return results. This method is similar to Execute, but it also returns a ResultPackage containing the outputs from the execution of the stored process.

The stored process must create the package and then and publish it using the "TO_REQUESTER" transport in the PACKAGE_PUBLISH call. See the Publish Package Interface CALL Routines in the Publishing Framework section of the SAS Integration Technologies: Developer's Guide for an explanation of how a SAS program can create and publish a result package.

Usage

Java Method ExecuteWithResults

`void` ExecuteWithResults (

        java.lang.String name ,
        java.lang.String nameValuePairs ,
        IResultPackageHolder resultPackage
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String | The stored process name within the Repository.
nameValuePairs | in | java.lang.String | A single string containing one or more name-value pairs used in the stored process execution. The pairs are specified as "name=value" and are blank separated.
resultPackage | out | IResultPackageHolder | The result package created by the stored process.

Example

CORBA Method Define

Define a stored process to the designated repository (not currently implemented).

Description

Usage

Java Method Define

`void` Define (

        java.lang.String name ,
        java.lang.String nameValuePairs ,
        java.lang.String[] sourceLines
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
nameValuePairs | in | java.lang.String |
sourceLines | in | java.lang.String[] |

Example

CORBA Method RetrieveDefinition

Retrieve a stored process from the designated repository (not currently implemented).

Description

Usage

Java Method RetrieveDefinition

`void` RetrieveDefinition (

        java.lang.String name ,
        org.omg.CORBA.StringHolder nameValuePairs ,
        StringSeqHolder sourceLines
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
nameValuePairs | out | org.omg.CORBA.StringHolder |
sourceLines | out | StringSeqHolder |

Example

CORBA Method DeleteDefinition

Delete a stored process from the designated repository (not currently implemented).

Description

Usage

Java Method DeleteDefinition

`void` DeleteDefinition (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

IStoredProcessService_1_1 Description

`public interface IStoredProcessService_1_1
Extends IStoredProcessService`

Method Summary

void | ExecuteNameValue ( java.lang.String name , java.lang.String[][] nameValuePairs ) throws ( GenericError );
void | ExecuteNameValueWithResults ( java.lang.String name , java.lang.String[][] nameValuePairs , IResultPackageHolder resultPackage ) throws ( GenericError );

Java Class IStoredProcessService_1_1Helper

public class IStoredProcessService_1_1Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IStoredProcessService_1_1 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessService_1_1Helper

Java Class IStoredProcessService_1_1Holder

public class IStoredProcessService_1_1Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IStoredProcessService_1_1 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IStoredProcessService_1_1Holder

CORBA Method ExecuteNameValue

Description

Usage

Java Method ExecuteNameValue

`void` ExecuteNameValue (

        java.lang.String name ,
        java.lang.String[][] nameValuePairs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
nameValuePairs | in | java.lang.String[][] |

Example

CORBA Method ExecuteNameValueWithResults

Description

Usage

Java Method ExecuteNameValueWithResults

`void` ExecuteNameValueWithResults (

        java.lang.String name ,
        java.lang.String[][] nameValuePairs ,
        IResultPackageHolder resultPackage
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
nameValuePairs | in | java.lang.String[][] |
resultPackage | out | IResultPackageHolder |

Example